| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Attributes | List of all members
Digikam::CMat Struct Reference

CMat: More...

## Public Attributes
double * | center
| Points to element with index (0, 0)
double * | data
| Contents of matrix.
int | radius
| Radius of the matrix.
int | row_stride
| Size of one row = 2 * radius + 1.

## Detailed Description

Centered matrix. This is a square matrix where the indices range from [-radius, radius]. The matrix contains (2 * radius + 1) ** 2 elements.